package com.semperti.hipotecario.poc.fuse.cobis;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.0.12
 * 2017-02-03T12:43:48.446-03:00
 * Generated source version: 3.0.12
 * 
 */
@WebService(targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", name = "CobisService")
@XmlSeeAlso({ObjectFactory.class})
public interface CobisService {

    @WebMethod(action = "obtenerPersona")
    @RequestWrapper(localName = "obtenerPersona", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPersona")
    @ResponseWrapper(localName = "obtenerPersonaResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPersonaResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.Persona obtenerPersona(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );

    @WebMethod(action = "obtenerTarjetasCreditoPatrimoniales")
    @RequestWrapper(localName = "obtenerTarjetasCreditoPatrimoniales", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTarjetasCreditoPatrimoniales")
    @ResponseWrapper(localName = "obtenerTarjetasCreditoPatrimonialesResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTarjetasCreditoPatrimonialesResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.TarjetasCreditoPatrimoniales obtenerTarjetasCreditoPatrimoniales();

    @WebMethod(action = "obtenerTelefonosDePersona")
    @RequestWrapper(localName = "obtenerTelefonosDePersona", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTelefonosDePersona")
    @ResponseWrapper(localName = "obtenerTelefonosDePersonaResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTelefonosDePersonaResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.Telefonos obtenerTelefonosDePersona(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );

    @WebMethod(action = "obtenerPrestamoPatrimonial")
    @RequestWrapper(localName = "obtenerPrestamoPatrimonial", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPrestamoPatrimonial")
    @ResponseWrapper(localName = "obtenerPrestamoPatrimonialResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPrestamoPatrimonialResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.PrestamoPatrimonial obtenerPrestamoPatrimonial(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );

    @WebMethod(action = "obtenerTarjetaCreditoPatrimonial")
    @RequestWrapper(localName = "obtenerTarjetaCreditoPatrimonial", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTarjetaCreditoPatrimonial")
    @ResponseWrapper(localName = "obtenerTarjetaCreditoPatrimonialResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTarjetaCreditoPatrimonialResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.TarjetaCreditoPatrimonial obtenerTarjetaCreditoPatrimonial(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );

    @WebMethod(action = "obtenerPersonas")
    @RequestWrapper(localName = "obtenerPersonas", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPersonas")
    @ResponseWrapper(localName = "obtenerPersonasResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPersonasResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.Personas obtenerPersonas();

    @WebMethod(action = "obtenerTelefono")
    @RequestWrapper(localName = "obtenerTelefono", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTelefono")
    @ResponseWrapper(localName = "obtenerTelefonoResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTelefonoResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.Telefono obtenerTelefono(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );

    @WebMethod(action = "obtenerTelefonos")
    @RequestWrapper(localName = "obtenerTelefonos", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTelefonos")
    @ResponseWrapper(localName = "obtenerTelefonosResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTelefonosResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.Telefonos obtenerTelefonos();

    @WebMethod(action = "obtenerPrestamosPatrimonialesDePersona")
    @RequestWrapper(localName = "obtenerPrestamosPatrimonialesDePersona", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPrestamosPatrimonialesDePersona")
    @ResponseWrapper(localName = "obtenerPrestamosPatrimonialesDePersonaResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPrestamosPatrimonialesDePersonaResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.PrestamosPatrimoniales obtenerPrestamosPatrimonialesDePersona(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );

    @WebMethod(action = "obtenerPrestamosPatrimoniales")
    @RequestWrapper(localName = "obtenerPrestamosPatrimoniales", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPrestamosPatrimoniales")
    @ResponseWrapper(localName = "obtenerPrestamosPatrimonialesResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerPrestamosPatrimonialesResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.PrestamosPatrimoniales obtenerPrestamosPatrimoniales();

    @WebMethod(action = "obtenerTarjetasCreditoPatrimonialesDePersona")
    @RequestWrapper(localName = "obtenerTarjetasCreditoPatrimonialesDePersona", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTarjetasCreditoPatrimonialesDePersona")
    @ResponseWrapper(localName = "obtenerTarjetasCreditoPatrimonialesDePersonaResponse", targetNamespace = "http://cobis.poc.hipotecario.semperti.com/", className = "com.semperti.hipotecario.poc.fuse.cobis.ObtenerTarjetasCreditoPatrimonialesDePersonaResponse")
    @WebResult(name = "return", targetNamespace = "")
    public com.semperti.hipotecario.poc.fuse.cobis.TarjetasCreditoPatrimoniales obtenerTarjetasCreditoPatrimonialesDePersona(
        @WebParam(name = "id", targetNamespace = "")
        int id
    );
}
